Questions tagged [installing]

Questions about the installation procedure of Vim and potential errors encountered in the process.

9 questions with no upvoted or accepted answers
Filter by
Sorted by
Tagged with
4
votes
0answers
651 views

How to create an Edit-with-Vim context menu entry for Vim 8.1 on Windows 10

The Explorer context menu entry does not get created by the installer. Windows 10 Pro v1803 (64-bit). What I have already tried: Installed Vim 8.1 using the stock Windows installer https://ftp.nluug....
1
vote
0answers
576 views

Vim shows error when running python3

OS: Ubuntu 18.04 First, I ran apt-get install python3-dev ruby-dev Then, I installed vim using the instructions in the website, using make distclean, make and make install (This was like the tenth ...
0
votes
0answers
28 views

Can you install both Vim 7 and Vim 8 on CentOS 7.9?

I teach classes that cover both Vim 7 and Vim 8. Is it possibly to install Vim 7 and Vim 8 together on CentOS? If so, how? Everything I've have looked at so far covers updating Vim 7 to Vim 8. I ...
0
votes
0answers
20 views

Vim installs with 3.5.2 even with ./configure 3.6 ubuntu 16.04

I am trying to install vim with python3.6 in order to be able to use YouCompleteMe. I cloned the source repository and install with commands: ./configure --with-features=huge \ ...
0
votes
1answer
23 views

Install Vim with +clipboard support but without Gvim?

My distribution comes with a minimal version of Vim. vim --vesrion returns -clipboard, so the * and + registers interact (copy/paste) with the primary and clipboard do not work. The resources I've ...
0
votes
0answers
190 views

How to tell Vim 8 to use a specific python interpreter?

I'm trying to setup deoplete for Vim in mac os. One requirement for this is to install pynvim which I did with pip3 install pynvim Now within Vim, :python3 import pynvim throws an error ImportError: ...
0
votes
0answers
56 views

I think I have three different versions of neovim installed, how do I use the npm installed one?

I ran npm install -g neovim I get version neovim@4.9.0 If I run nvim --version I get v0.4.3 How do I use the npm installed neovim instance?
0
votes
0answers
48 views

install / repair help system

I built vim from source on Arch Linux and the help system is not present. I do not see any help-related options when I do vim --version. I assume it is either broken somehow or not installed. How can ...
0
votes
0answers
379 views

Vim compilation requirements for Nvim-R

I use Vim 7.4.521 under Kubuntu 14.04.4. I downloaded and installed Nvim-R 0.9.5 (for Vim >= 7.4.1829) via :so %. Doing the following: $ vim somefile.R on a file containing R code results in Vim ...